Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
PerfectHashMap< K, T, max_small_size, phm_assert > Class Template Reference

`#include <PerfectHashMap.h>`

## Classes
struct | const_iterator
struct | iterator

## Public Member Functions
void | make_large (int n)
T & | emplace (const K *n, T &&t)
T & | insert (const K *n, const T &t)
const T & | get (const K *n) const
T & | get (const K *n)
T & | get_or_create (const K *n)
bool | contains (const K *n) const
size_t | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Detailed Description

template<typename K, typename T, int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>
class PerfectHashMap< K, T, max_small_size, phm_assert >

Definition at line 38 of file PerfectHashMap.h.

## Member Function Documentation

## ◆ make_large()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

void PerfectHashMap< K, T, max_small_size, phm_assert >::make_large | ( | int | n | ) |
| inline

Definition at line 227 of file PerfectHashMap.h.

Referenced by Halide::Internal::Autoscheduler::Cache::Cache().

## ◆ emplace()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

T & PerfectHashMap< K, T, max_small_size, phm_assert >::emplace | ( | const K * | n,
|  | T && | t
| ) |  |
| inline

Definition at line 235 of file PerfectHashMap.h.

## ◆ insert()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

T & PerfectHashMap< K, T, max_small_size, phm_assert >::insert | ( | const K * | n,
|  | const T & | t
| ) |  |
| inline

Definition at line 248 of file PerfectHashMap.h.

## ◆ get() [1/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const T & PerfectHashMap< K, T, max_small_size, phm_assert >::get | ( | const K * | n | ) | const
| inline

Definition at line 262 of file PerfectHashMap.h.

## ◆ get() [2/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

T & PerfectHashMap< K, T, max_small_size, phm_assert >::get | ( | const K * | n | ) |
| inline

Definition at line 275 of file PerfectHashMap.h.

## ◆ get_or_create()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

T & PerfectHashMap< K, T, max_small_size, phm_assert >::get_or_create | ( | const K * | n | ) |
| inline

Definition at line 288 of file PerfectHashMap.h.

## ◆ contains()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

bool PerfectHashMap< K, T, max_small_size, phm_assert >::contains | ( | const K * | n | ) | const
| inline

Definition at line 301 of file PerfectHashMap.h.

## ◆ size()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

size_t PerfectHashMap< K, T, max_small_size, phm_assert >::size | ( |  | ) | const
| inline

Definition at line 314 of file PerfectHashMap.h.

## ◆ begin() [1/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

iterator PerfectHashMap< K, T, max_small_size, phm_assert >::begin | ( |  | ) |
| inline

Definition at line 386 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::end, PerfectHashMap< K, T, max_small_size, phm_assert >::end(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter, and PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::key().

## ◆ end() [1/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

iterator PerfectHashMap< K, T, max_small_size, phm_assert >::end | ( |  | ) |
| inline

Definition at line 400 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::end, and PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin(), and PerfectHashMap< K, T, max_small_size, phm_assert >::begin().

## ◆ begin() [2/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const_iterator PerfectHashMap< K, T, max_small_size, phm_assert >::begin | ( |  | ) | const
| inline

Definition at line 406 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::end, PerfectHashMap< K, T, max_small_size, phm_assert >::end(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter, and PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::key().

## ◆ end() [2/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const_iterator PerfectHashMap< K, T, max_small_size, phm_assert >::end | ( |  | ) | const
| inline

Definition at line 420 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::end, and PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

The documentation for this class was generated from the following file:

- src/autoschedulers/common/PerfectHashMap.h